@media (max-width: 992px) {
    /* HEADER NAV */
    .nav-menu {
        display: none; /* later hamburger add karenge */
    }

    .logo-top {
        font-size: 16px;
    }

    .logo-bottom {
        font-size: 9px;
    }

    .menu-toggle {
        display: block;
    }

    .nav-menu {
        position: absolute;
        top: 70px;
        right: 0;
        width: 100%;
        background: #fff;

        display: flex;
        flex-direction: column;
        align-items: center;

        max-height: 0;
        overflow: hidden;
        transition: 0.3s ease;
    }

    .nav-menu a {
        padding: 15px 0;
        width: 100%;
        text-align: center;
        border-bottom: 1px solid #eee;
    }

    /* ACTIVE STATE */
    .nav-menu.active {
        max-height: 400px;
    }

    /* HERO SECTION */
    .hero-3col {
        flex-direction: column;
        height: auto;
    }

    .hero-col {
        height: 70vh;
    }

    .hero-content {
        bottom: 30px;
        left: 20px;
    }

    .hero-content h2 {
        font-size: 24px;
    }

    .about-container {
        flex-direction: column;
    }

    .about-content h2 {
        font-size: 32px;
    }

    .image-box {
        display: none;
    }

    .highlights-grid {
        grid-template-columns: 1fr 1fr;
    }

    .benchmark-container {
        grid-template-columns: 1fr;
    }

    .benchmark-content h2 {
        font-size: 42px;
    }

    .benchmark-image img {
        height: 350px;
    }

    .benchmark-badge {
        left: 20px;
        bottom: 20px;
    }

     .cap-row,
    .cap-row.reverse {
        grid-template-columns: 1fr;
    }

    .cap-icon {
        height: 120px;
    }

    .cap-content {
        padding: 30px;
    }

    .cap-header h2 {
        font-size: 36px;
    }

    .project-grid {
        grid-template-columns: 1fr;
    }

     .why-grid {
        grid-template-columns: repeat(2, 1fr);
    }
    
    .cta-grid {
        grid-template-columns: 1fr;
        text-align: center;
    }

    .cta-text h2 {
        font-size: 30px;
    }
     .warehousing-page .inner-hero h1 {
        font-size: 34px;
    }

    .warehousing-page h2 {
        font-size: 28px;
    }

    .warehousing-page .grid-2 {
        grid-template-columns: 1fr;
    }

    .footer-container {
        grid-template-columns: 1fr 1fr;
        gap: 40px;
    }

    .footer-bottom {
        flex-direction: column;
        gap: 10px;
        text-align: center;
    }

    .footer-right {
        text-align: center;
    }

}


@media (max-width: 768px) {
    .image-banner img {
        height: 250px;
    }
}

@media (max-width: 600px) {
    .highlights-grid {
        grid-template-columns: 1fr;
    }

    .highlights-header h2 {
        font-size: 36px;
    }
}

@media (max-width: 576px) {

    .why-grid {
        grid-template-columns: 1fr;
    }
    .footer-container {
        grid-template-columns: 1fr;
    }
    .warehousing-page .inner-hero {
        padding: 90px 0 60px;
    }

    .warehousing-page .inner-hero h1 {
        font-size: 26px;
    }

    .warehousing-page p {
        font-size: 14px;
    }

    .warehousing-page .list-box {
        padding: 15px;
    }

}